unit phDataGr;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  GraphBaseSt, ActnList, Placemnt, ExtCtrls, TeeProcs, TeEngine, Chart,
  ComCtrls, ToolWin;

type
  TfmPhDataGr = class(TfmGraphBaseSt)
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmPhDataGr: TfmPhDataGr;

implementation

uses series,data;

{$R *.DFM}

procedure TfmPhDataGr.FormCreate(Sender: TObject);
var
 m, h : integer;
 sr : TFastLineSeries;
begin
  inherited;
  for m := 1 to 12 do
  begin
    sr := TFastLineSeries.Create(Self);
    sr.Title := ShortMonthNames[m];
    sr.ParentChart := Chart1;
    with sr do
    for h:=0 to 23 do
        sr.addxy(h+1,phFactors[m,h]*100);
  end;
end;

end.
